If a closing </style> element tag has attributes the file is not editable

If a closing element tag has attributes in it, as it should not because any attribute in this is an error, Pinegrow cannot edit beyond this error. What happens instead is the erorr:

Can’t select element created at run time

Dynamic elements are HTML elements created by Javascript code on your page. These elements are not part of HTML code of the page and so can’t be edited through Pinegrow.

You have to edit the relevant Javascript code to change dynamic elements.

appears.

Steps to reproduce:

  1. Download this file: http://www.mediafire.com/file/0yz4373qwn4ybkk/Select_Element_Error.html
  2. Load it into Pinegrow
  3. Click on the “Some Content” line in the WYSIWYG pane.

This invalid closing of the element should have caused the correct error message to appear, and the rest of the file should have been editable.

I have seen this in Pinegrow 3.04, 3.05, and 3.06
System info:
Distributor ID: Ubuntu
Description: Ubuntu 16.04.3 LTS
Release: 16.04
Codename: xenial
Memory 32 GB
Disk Drive 4TB